Xerces-J API: Interface XMLErrorReporter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.framework
Interface XMLErrorReporter

All Known Implementing Classes:
  XMLParser

public interface XMLErrorReporter

Error handling

Version:
  $Id: XMLErrorReporter.java,v 1.2 2000/04/04 21:14:21 andyc Exp $

Field Summary
`static int` | `ERRORTYPE_FATAL_ERROR` Fatal error type.
`static int` | `ERRORTYPE_RECOVERABLE_ERROR` Error type.
`static int` | `ERRORTYPE_WARNING` Warning type.

Method Summary
`Locator` | `getLocator()` Get the default locator to use when reporting errors.
`void` | `reportError(Locator locator, java.lang.String errorDomain, int majorCode, int minorCode, java.lang.Object[] args, int errorType)` Report an error detected by a component of the XML parser.

Field Detail

### ERRORTYPE_WARNING

    public static final int ERRORTYPE_WARNING

  Warning type.

### ERRORTYPE_RECOVERABLE_ERROR

    public static final int ERRORTYPE_RECOVERABLE_ERROR

  Error type.

### ERRORTYPE_FATAL_ERROR

    public static final int ERRORTYPE_FATAL_ERROR

  Fatal error type.

Method Detail

### getLocator

    public Locator getLocator()

  Get the default locator to use when reporting errors.

### reportError

    public void reportError(Locator locator,
                            java.lang.String errorDomain,
                            int majorCode,
                            int minorCode,
                            java.lang.Object[] args,
                            int errorType)
                     throws java.lang.Exception

  Report an error detected by a component of the XML parser. In a typical implementation of this interface, this method would call the error handler registered by the user with the appropriate error information.
  Parameters:
    `locator` - Used to determine the location of the error.
    `errorDomain` - The error domain of the error.
    `majorCode` - The major key for the message text.
    `minorCode` - The minor key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
    `errorType` - The type of error (ERRORTYPE_WARNING, ERRORTYPE_RECOVERABLE_ERROR, ERRORTYPE_FATAL_ERROR).
  Throws:
    java.lang.Exception - Thrown if the parser should not continue to the error being handled.
  See Also:
    `ERRORTYPE_WARNING`, `ERRORTYPE_RECOVERABLE_ERROR`, `ERRORTYPE_FATAL_ERROR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.